[B049] Drug type ID search

post
https://connect.patsnap.com/synapse/drug-type/autocomplete
Try in Sandbox

Input the drug type name and get the drug type ID

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
limit
Required
integer<int32>10
limits
prefix
Required
string双特异性抗体
keywords

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
display_name
array[ { "lang": "EN", "name": "Bispecific antibody" }, { "lang": "CN", "name": "双特异性抗体" } ]
name
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
drug_type_id
string9a847883d786485489d0ee1d75ae90ba
ID
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "display_name": [
        {
          "lang": "EN",
          "name": "Ranibizumab (Genentech)"
        }
      ],
      "drug_type_id": "9a847883d786485489d0ee1d75ae90ba"
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms